## kdiff3-trinity 14.0.8

=== CMakeLists.txt ===
############################################
#                                          #
#  Improvements and feedbacks are welcome  #
#                                          #
#  This file is released under GPL >= 3    #
#                                          #
############################################


cmake_minimum_required( VERSION 2.8 )


#### general package setup

project( kdiff3 )
set( VERSION R14.0.8 )


#### include essential cmake modules

include( FindPkgConfig          )
include( CheckFunctionExists    )
include( CheckSymbolExists      )
include( CheckIncludeFile       )
include( CheckLibraryExists     )
include( CheckCSourceCompiles   )
include( CheckCXXSourceCompiles )


#### include our cmake modules

set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" )
include( TDEMacros )


##### setup install paths

include( TDESetupPaths )
tde_setup_paths( )


##### optional stuff

option( WITH_ALL_OPTIONS "Enable all optional support" OFF                                          )
option( WITH_GCC_VISIBILITY "Enable fvisibility and fvisibility-inlines-hidden" ${WITH_ALL_OPTIONS} )


##### user requested modules

option( BUILD_ALL "Build all" ON                             )
option( BUILD_DOC "Build documentation" ${BUILD_ALL}         )
option( BUILD_TRANSLATIONS "Build translations" ${BUILD_ALL} )


##### configure checks

include( ConfigureChecks.cmake )


###### global compiler settings

add_definitions( -DHAVE_CONFIG_H )

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${TQT_CXX_FLAGS}" )
set( CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined" )
set( CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--no-undefined" )


##### directories

add_subdirectory( src )
add_subdirectory( kdiff3plugin )
tde_conditional_add_subdirectory( BUILD_DOC man      )
tde_conditional_add_subdirectory( BUILD_DOC doc      )
tde_conditional_add_subdirectory( BUILD_DOC data/doc )
tde_conditional_add_subdirectory( BUILD_TRANSLATIONS po              ) 
tde_conditional_add_subdirectory( BUILD_TRANSLATIONS kdiff3plugin/po )


##### write configure files

configure_file( config.h.cmake config.h @ONLY )

## kdiff3-trinity 3.5.13.2

=== debian/changelog ===
kdiff3-trinity (4:3.5.13.2-0ubuntu12.04.0+0) precise; urgency=low

  * Automated git build for v3.5.13.2

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 02 Jun 2013 20:32:27 +0200

kdiff3-trinity (0.9.92-3ubuntu0) karmic; urgency=low

  * Karmic rebuild

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 02 July 2009 16:08:00 -0600

kdiff3-trinity (0.9.92-2ubuntu3) intrepid; urgency=low

  * Moved Trinity to /opt/trinity
  * Integrated properly with KDE4.2+

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 05 March 2009 29:52:00 -0600

kdiff3-trinity (0.9.92-2ubuntu1) intrepid; urgency=low

  * Added -trinity prefix

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Mon, 01 Dec 2008 10:44:00 -0600

kdiff3 (0.9.92-2ubuntu1) hardy; urgency=low

  * Merge from Debian unstable, remaining Ubuntu changes:
    - debian/rules: added dh_iconcache
    - debian/control: added libacl1-dev and libattr1-dev to build-dep
    - Ubuntu MOTU Maintainer
  * debian/rules: changed dh_iconcache to dh_icons

 -- Richard A. Johnson <nixternal@kubuntu.org>  Fri, 30 Nov 2007 19:30:52 -0600

kdiff3 (0.9.92-2) unstable; urgency=low

  * Include konqueror plugin in package (closes Ubuntu bug no. 145026)
  * Split package into kdiff3 and kdiff3-doc
 
 -- Eike Sauer <eike@debian.org>  Tue, 11 Nov 2007 20:00:00 +0100

kdiff3 (0.9.92-1ubuntu1) gutsy; urgency=low

  * Merged new debian version, remaining Ubuntu changes:
    - debian/rules: added dh_iconcache
    - debian/control: added libacl1-dev and libattr1-dev to build-deb
  * Added Ubuntu MOTU Maintaner, moved old one to XSBC-Original-Maintainer

 -- Stephan Hermann <sh@sourcecode.de>  Sat,  5 May 2007 20:34:11 +0200

kdiff3 (0.9.92-1) unstable; urgency=low

  * New upstream release
  	- now distinguishes between empty and non-existent files in "full analysis" 
  		mode (closes: #417086)
  	- fixed includes for gcc 4.3, thanks to Martin Michlmayr (closes: #417312)
  	Thanks to upstream for the Debian bug handling! :o)
 
 -- Eike Sauer <eike@debian.org>  Tue, 17 Apr 2007 16:18:32 +0200

kdiff3 (0.9.91-1) unstable; urgency=low

  * New upstream release
  * The I'm-a-DD-release...!

 -- Eike Sauer <eike@debian.org>  Sun, 18 Mar 2007 23:33:56 +0100

kdiff3 (0.9.90-5ubuntu1) feisty; urgency=low

  * Merge from debian unstable, remaining changes:
    - debian/rules: dh_iconcache

 -- Stephan Hermann <sh@sourcecode.de>  Thu, 21 Dec 2006 11:29:18 +0100

kdiff3 (0.9.90-5) unstable; urgency=low

  * Changed, moved and registered .desktop file (closes: #396790)
  
 -- Eike Sauer <eikes@cs.tu-berlin.de>  Tue, 30 Nov 2006 20:15:00 +0200

kdiff3 (0.9.90-4) unstable; urgency=low

  * Added AM_MAINTAINER_MODE
  
 -- Eike Sauer <eikes@cs.tu-berlin.de>  Tue, 12 Oct 2006 14:00:00 +0200

kdiff3 (0.9.90-3) unstable; urgency=low

  * More autotooling stuff...
  
 -- Eike Sauer <eikes@cs.tu-berlin.de>  Tue, 02 Oct 2006 16:30:00 +0200

kdiff3 (0.9.90-2) unstable; urgency=low

  * Really reduced dependencies (as promised in 0.9.89-1) this time...
  * manpage updated
  
 -- Eike Sauer <eikes@cs.tu-berlin.de>  Tue, 27 Sep 2006 17:40:00 +0200

kdiff3 (0.9.90-1ubuntu1) edgy; urgency=low

  * Merge from debian unstable.
  * debian/control: removed libacl1-dev and libattr1-dev from build-deps
  * debian/rules: put dh_iconcache in the correct section 

 -- Stephan Hermann <sh@sourcecode.de>  Sun,  2 Jul 2006 16:52:17 +0200

kdiff3 (0.9.90-1) unstable; urgency=low

  * New upstream release
  * Standards version now 3.7.2

 -- Eike Sauer <eikes@cs.tu-berlin.de>  Tue, 30 May 2006 10:16:35 +0200

kdiff3 (0.9.89-1) unstable; urgency=low

  * New upstream release
  * Reduced dependencies from 27 to 5 packages...
    (see http://lists.debian.org/debian-devel-announce/2005/11/msg00016.html)

 -- Eike Sauer <eikes@cs.tu-berlin.de>  Wed, 12 Apr 2006 00:28:33 +0200

kdiff3 (0.9.88-5ubuntu2) dapper; urgency=low

  * Add dh_iconcache

 -- Sarah Hobbs <hobbsee@ubuntu.com>  Fri, 28 Apr 2006 22:24:09 +1000

kdiff3 (0.9.88-5ubuntu1) dapper; urgency=low

  * debian/control: added libacl1-dev and libattr1-dev to build-deps

 -- Stephan Hermann <sh@sourcecode.de>  Sat, 26 Nov 2005 01:00:50 +0100

kdiff3 (0.9.88-5) unstable; urgency=low

  * corrections to German po file, thanks to Jens Seidel (closes: #314016)
  * mention GNU diff in copyright file (hint by Florian Ernst)
  * making manual known to doc-base, so obeying to Debian Policy 3.6.2
  * ABI transition to GCC 4.0 (closes #327048)

 -- Eike Sauer <eikes@cs.tu-berlin.de>  Fri, 7 Sep 2005 15:15:00 +0100

kdiff3 (0.9.88-4) unstable; urgency=low

  * HTML help goes to /usr/share/doc/kdiff3/html

 -- Eike Sauer <eikes@cs.tu-berlin.de>  Fri, 15 Apr 2005 00:15:00 +0100

kdiff3 (0.9.88-3) unstable; urgency=low

  * symlinked all those documentation images between the different
    languages (they where the same anyway) - which halves the size 
    of the package...

 -- Eike Sauer <eikes@cs.tu-berlin.de>  Sun, 10 Apr 2005 22:14:00 +0100

kdiff3 (0.9.88-2) unstable; urgency=low

  * Don't use makefile in clean rule when it doesn't yet exist

 -- Eike Sauer <eikes@cs.tu-berlin.de>  Sun, 10 Apr 2005 22:14:00 +0100

kdiff3 (0.9.88-1) unstable; urgency=low

  * New upstream release

 -- Eike Sauer <eikes@cs.tu-berlin.de>  Sat, 26 Feb 2005 18:07:03 +0100

kdiff3 (0.9.87-1) unstable; urgency=low

  * New upstream release

 -- Eike Sauer <eikes@cs.tu-berlin.de>  Sun, 30 Jan 2005 19:08:52 +0100

kdiff3 (0.9.86-1) unstable; urgency=low

  * New upstream release

 -- Eike Sauer <eikes@cs.tu-berlin.de>  Tue, 15 Jun 2004 11:28:59 +0200

kdiff3 (0.9.84-1) unstable; urgency=low

  * New upstream release

 -- Eike Sauer <eikes@cs.tu-berlin.de>  Mon, 31 May 2004 22:43:32 +0200

kdiff3 (0.9.83-2) unstable; urgency=medium

  * First upload of 0.9.83 (closes: #250486)
  * Casual crashes due to race condition (hopefully) fixed

 -- Eike Sauer <eikes@cs.tu-berlin.de>  Wed,  4 Feb 2004 15:09:12 +0100

kdiff3 (0.9.83-1) unstable; urgency=low

  * New upstream release


=== debian/control ===
Source: kdiff3-trinity
Section: kde
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
XSBC-Original-Maintainer: Eike Sauer <eike@debian.org>
Build-Depends: debhelper (>= 4.0.0), quilt, kdelibs4-trinity-dev, libkonq4-trinity-dev, docbook-to-man, libacl1-dev, libattr1-dev, automake, autoconf, libtool, libltdl-dev
Standards-Version: 3.8.4

Package: kdiff3-trinity
Architecture: any
Depends: ${shlibs:Depends}
Replaces: kdiff3-kde3 (<< 4:3.5.13)
Breaks: kdiff3-kde3 (<< 4:3.5.13)
Recommends: kdiff3-trinity-doc
Description: compares and merges 2 or 3 files or directories [Trinity]
 KDiff3 compares two or three input files and shows the differences
 line by line and character by character. It provides an automatic
 merge facility and an integrated editor for comfortable solving of
 merge conflicts. KDiff3 allows recursive directory comparison and
 merging as well.

Package: kdiff3-trinity-doc
Architecture: all
Recommends: kdiff3-trinity
Replaces: kdiff3-kde3-doc (<< 4:3.5.13)
Breaks: kdiff3-kde3-doc (<< 4:3.5.13)
Description: documentation for kdiff3 [Trinity]
 KDiff3 compares two or three input files and shows the differences
 line by line and character by character. This package contains the 
 HTML documentation.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include/kde
DEB_CONFIGURE_MANDIR := /opt/trinity/share/man
DEB_CONFIGURE_PREFIX := /opt/trinity
DEB_CONFIGURE_INFODIR := /opt/trinity/share/info

cdbs_configure_flags := --with-qt-dir=/usr/share/qt3 --disable-rpath --with-xinerama $(cdbs_kde_enable_final) $(cdbs_kde_enable_debug)

DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                               && echo xz || echo bzip2)

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

config.status:
	dh_testdir
	! [ -f /usr/share/libtool/ltmain.sh ] || \
	cp -f /usr/share/libtool/ltmain.sh admin/ltmain.sh
	! [ -f /usr/share/libtool/config/ltmain.sh ] || \
	cp -f /usr/share/libtool/config/ltmain.sh admin/ltmain.sh
	cp -f /usr/share/aclocal/libtool.m4 admin/libtool.m4.in
	
	make -f admin/Makefile.common cvs
	CFLAGS="$(CFLAGS)" ./configure --disable-rpath --prefix=/opt/trinity --with-qt-includes=/usr/include/qt3 --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --mandir=/opt/trinity/share/man --infodir=/opt/trinity/share/info --with-extra-libs=/opt/trinity/lib --with-extra-includes=/opt/trinity/include/kde


build: build-stamp

build-stamp:  config.status
	dh_testdir

	$(MAKE) LDFLAGS="-lkdecore -lkdeui" LIBS=""
	/usr/bin/docbook-to-man debian/kdiff3.sgml > doc/en/kdiff3.1
	touch build-stamp

clean:
	dh_testdir
	dh_testroot

	if test -e Makefile; then $(MAKE) distclean; fi
	
	# taken from /usr/share/doc/autotools-dev/README.Debian.gz
	-test -r /usr/share/misc/config.sub && cp -f /usr/share/misc/config.sub config.sub
	-test -r /usr/share/misc/config.guess && cp -f /usr/share/misc/config.sub config.guess

	rm -f build-stamp
	rm -f po/*.gmo
	rm -f src/*.loT

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp \
		kde_htmldir=/opt/trinity/share/doc/tde/HTML
	rm -rf $(CURDIR)/debian/tmp/opt/trinity/share/doc/tde/HTML/kdiff3
	# that's not where we want to have a man page
	rm -rf $(CURDIR)/debian/tmp/opt/trinity/share/doc/tde/HTML/en/kdiff3/kdiff3.1
	# move HTML help /opt/trinity/share/doc/kdiff3/html/
	mkdir --parents $(CURDIR)/debian/tmp/opt/trinity/share/doc/kdiff3-doc/html/
	mv $(CURDIR)/debian/tmp/opt/trinity/share/doc/tde/HTML/en/kdiff3/*.html $(CURDIR)/debian/tmp/opt/trinity/share/doc/kdiff3-doc/html/
	# move kdiff3.desktop to freedesktop.org conforming place
	mkdir --parents $(CURDIR)/debian/tmp/opt/trinity/share/applications/kde/
	mv $(CURDIR)/debian/tmp/opt/trinity/share/applnk/Development/kdiff3.desktop $(CURDIR)/debian/tmp/opt/trinity/share/applications/kde/


# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs -i ChangeLog
	dh_installdocs -i
	dh_install -i --sourcedir=$(CURDIR)/debian/tmp
	dh_link -i
	dh_compress -i -X.docbook
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i $(DEB_DH_BUILDDEB_ARGS)

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs -a ChangeLog
	dh_installdocs -a
	dh_install -a --sourcedir=$(CURDIR)/debian/tmp
#	dh_installexamples
#	dh_installman $(CURDIR)/doc/en/kdiff3.1
	dh_icons
	dh_link 
	dh_desktop
	dh_strip
	dh_compress -X.docbook
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb $(DEB_DH_BUILDDEB_ARGS)

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
# As version numbering of KDiff3 has changed from 0.93, 0.931, ... to 0.9.50, 0.9.60,
# we have to dump the former ones. They would be considered to have a higher version
# number by uscan. Addition: Ignore a x.y.zz-QT version as well.

version=3
http://sf.net/kdiff3/kdiff3-(.\..\...)\.tar.gz debian uupdate

## kdiff3-trinity 14.0.4

=== debian/changelog ===
kdiff3-trinity (4:14.0.4-0ubuntu16.10.0+0) yakkety; urgency=low

  * Automated git build for r14.0.4

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 23 Oct 2016 13:17:19 +0200

## kdiff3-trinity 14.0.5

=== debian/changelog ===
kdiff3-trinity (4:14.0.5-0ubuntu17.04.0+0) zesty; urgency=low

  * Automated git build for r14.0.5

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 27 Jul 2018 07:27:16 +0200

=== debian/control ===
Source: kdiff3-trinity
Section: tde
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
XSBC-Original-Maintainer: Eike Sauer <eike@debian.org>
Build-Depends: debhelper (>= 7.0.50~), cdbs, tdelibs14-trinity-dev, libkonq4-trinity-dev, docbook-to-man, libacl1-dev, libattr1-dev, automake, autoconf, libtool, libltdl-dev
Standards-Version: 3.8.4

Package: kdiff3-trinity
Architecture: any
Depends: ${shlibs:Depends}
Replaces: kdiff3-kde3 (<< 4:14.0.0~), kdiff3-trinity (<< 4:14.0.0~)
Breaks: kdiff3-kde3 (<< 4:14.0.0~), kdiff3-trinity (<< 4:14.0.0~)
Recommends: kdiff3-trinity-doc
Description: compares and merges 2 or 3 files or directories [Trinity]
 KDiff3 compares two or three input files and shows the differences
 line by line and character by character. It provides an automatic
 merge facility and an integrated editor for comfortable solving of
 merge conflicts. KDiff3 allows recursive directory comparison and
 merging as well.

Package: kdiff3-trinity-doc
Architecture: all
Recommends: kdiff3-trinity
Replaces: kdiff3-kde3-doc (<< 4:14.0.0~), kdiff3-trinity-doc (<< 4:14.0.0~)
Breaks: kdiff3-kde3-doc (<< 4:14.0.0~), kdiff3-trinity-doc (<< 4:14.0.0~)
Description: documentation for kdiff3 [Trinity]
 KDiff3 compares two or three input files and shows the differences
 line by line and character by character. This package contains the 
 HTML documentation.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/cdbs/1/rules/debhelper.mk
include debian/cdbs/kde.mk

DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include/tde
DEB_CONFIGURE_MANDIR := /opt/trinity/share/man
DEB_CONFIGURE_PREFIX := /opt/trinity
DEB_CONFIGURE_INFODIR := /opt/trinity/share/info

DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                               && echo xz || echo bzip2)

post-patches:: debian/stamp-bootstrap

debian/stamp-bootstrap:
	dh_testdir

	# Regenerate build system
ifneq "$(wildcard /usr/share/libtool/ltmain.sh)" ""
	cp -f /usr/share/libtool/ltmain.sh admin/ltmain.sh
endif
ifneq "$(wildcard /usr/share/libtool/config/ltmain.sh)" ""
	cp -f /usr/share/libtool/config/ltmain.sh admin/ltmain.sh
endif
ifneq "$(wildcard /usr/share/libtool/build-aux/ltmain.sh)" ""
	cp -f /usr/share/libtool/build-aux/ltmain.sh admin/ltmain.sh
endif
	cp -f /usr/share/aclocal/libtool.m4 admin/libtool.m4.in

	autoreconf --install && automake -f && \
	$(MAKE) -f admin/Makefile.common && \
	touch debian/stamp-bootstrap

build/kdiff3-trinity::
	dh_testdir
	/usr/bin/docbook-to-man debian/kdiff3.sgml > doc/en/kdiff3.1

install/kdiff3-trinity::
	dh_testdir
	# move kdiff3.desktop to freedesktop.org conforming place
	mkdir --parents debian/tmp/opt/trinity/share/applications/tde/
	mv debian/tmp/opt/trinity/share/applnk/Development/kdiff3.desktop debian/tmp/opt/trinity/share/applications/tde/
	rmdir debian/tmp/opt/trinity/share/applnk/Development

install/kdiff3-trinity-doc::
	dh_testdir
	# that's not where we want to have a man page
	rm -rf debian/tmp/opt/trinity/share/doc/tde/HTML/en/kdiff3/kdiff3.1
	# move HTML help /opt/trinity/share/doc/kdiff3/html/
	rm -rf debian/tmp/opt/trinity/share/doc/tde/HTML/kdiff3
	mkdir --parents debian/tmp/opt/trinity/share/doc/kdiff3/html/
	mv debian/tmp/opt/trinity/share/apps/kdiff3/doc/*.html debian/tmp/opt/trinity/share/doc/kdiff3/html/
	rmdir debian/tmp/opt/trinity/share/apps/kdiff3/doc

clean::
	dh_testdir
	rm -f debian/stamp-bootstrap

## kdiff3-trinity 14.0.6

=== debian/changelog ===
kdiff3-trinity (4:14.0.6-0raspbian7.0.0+0) raspbian-wheezy; urgency=low

  * Automated git build for r14.0.6

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 06 Mar 2019 01:25:11 +0100

=== debian/control ===
--- 
+++ 
@@ -9,8 +9,8 @@
 Package: kdiff3-trinity
 Architecture: any
 Depends: ${shlibs:Depends}
-Replaces: kdiff3-kde3 (<< 4:14.0.0~), kdiff3-trinity (<< 4:14.0.0~)
-Breaks: kdiff3-kde3 (<< 4:14.0.0~), kdiff3-trinity (<< 4:14.0.0~)
+Replaces: kdiff3-trinity (<< 4:14.0.0~)
+Breaks: kdiff3-trinity (<< 4:14.0.0~)
 Recommends: kdiff3-trinity-doc
 Description: compares and merges 2 or 3 files or directories [Trinity]
  KDiff3 compares two or three input files and shows the differences
@@ -22,8 +22,8 @@
 Package: kdiff3-trinity-doc
 Architecture: all
 Recommends: kdiff3-trinity
-Replaces: kdiff3-kde3-doc (<< 4:14.0.0~), kdiff3-trinity-doc (<< 4:14.0.0~)
-Breaks: kdiff3-kde3-doc (<< 4:14.0.0~), kdiff3-trinity-doc (<< 4:14.0.0~)
+Replaces: kdiff3-trinity-doc (<< 4:14.0.0~)
+Breaks: kdiff3-trinity-doc (<< 4:14.0.0~)
 Description: documentation for kdiff3 [Trinity]
  KDiff3 compares two or three input files and shows the differences
  line by line and character by character. This package contains the

## kdiff3-trinity 14.0.8

=== debian/changelog ===
kdiff3-trinity (4:14.0.8-0ubuntu18.10.0+0) cosmic; urgency=low

  * Automated git build for r14.0.8

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 11 Apr 2020 01:07:13 +0200

=== debian/control ===
Source: kdiff3-trinity
Section: tde
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
XSBC-Original-Maintainer: Eike Sauer <eike@debian.org>
Build-Depends: debhelper (>= 9~), cdbs, quilt, cmake, tdelibs14-trinity-dev, libkonq4-trinity-dev
Standards-Version: 3.8.4

Package: kdiff3-trinity
Architecture: any
Depends: ${shlibs:Depends}
Replaces: kdiff3-kde3 (<< 4:14.0.0~), kdiff3-trinity (<< 4:14.0.0~)
Breaks: kdiff3-kde3 (<< 4:14.0.0~), kdiff3-trinity (<< 4:14.0.0~)
Recommends: kdiff3-trinity-doc
Description: compares and merges 2 or 3 files or directories [Trinity]
 KDiff3 compares two or three input files and shows the differences
 line by line and character by character. It provides an automatic
 merge facility and an integrated editor for comfortable solving of
 merge conflicts. KDiff3 allows recursive directory comparison and
 merging as well.

Package: kdiff3-trinity-doc
Architecture: all
Recommends: kdiff3-trinity
Replaces: kdiff3-kde3-doc (<< 4:14.0.0~), kdiff3-trinity-doc (<< 4:14.0.0~)
Breaks: kdiff3-kde3-doc (<< 4:14.0.0~), kdiff3-trinity-doc (<< 4:14.0.0~)
Description: documentation for kdiff3 [Trinity]
 KDiff3 compares two or three input files and shows the differences
 line by line and character by character. This package contains the 
 HTML documentation.

## kdiff3-trinity 14.0.9

=== debian/changelog ===
kdiff3-trinity (4:14.0.9-0ubuntu19.04.0+0) disco; urgency=low

  * Automated git build for r14.0.9

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 09 Oct 2020 11:05:08 +0200

## kdiff3-trinity 14.0.10

=== debian/changelog ===
kdiff3-trinity (4:14.0.10-0ubuntu19.10.0+0) eoan; urgency=low

  * Automated git build for r14.0.10

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 04 Apr 2021 16:10:05 +0200

## kdiff3-trinity 14.0.11

=== debian/changelog ===
kdiff3-trinity (4:14.0.11-0ubuntu14.04.0+0) trusty; urgency=low

  * Automated git build for r14.0.11
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.11#kdiff3

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 20 Oct 2021 00:14:27 +0200

## kdiff3-trinity 14.0.12

=== debian/changelog ===
kdiff3-trinity (4:14.0.12-0ubuntu20.10.0+0) groovy; urgency=low

  * Automated git build for r14.0.12
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.12#kdiff3

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 02 Mar 2022 23:04:55 +0100

## kdiff3-trinity 14.0.13

=== debian/changelog ===
kdiff3-trinity (4:14.0.13-2romkd3) bullseye; urgency=low

  * Applying kdiff3_UTF8ClipBoardPaste.patch
  * Applying pretyURLinPlugin.patch

 -- Roman Savochenko <roman@oscada.org>  Mon, 25 Nov 2024 20:00:00 +0200

kdiff3-trinity (4:14.0.13-0debian11.0.0+0) bullseye; urgency=low

  * Automated git build for r14.0.13
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.13#kdiff3

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 11 Sep 2022 00:52:31 +0200

## kdiff3-trinity 14.1.0

=== debian/changelog ===
kdiff3-trinity (4:14.1.0-0ubuntu21.10.0+0) impish; urgency=low

  * Automated git build for r14.1.0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.0#kdiff3

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 14 Jan 2023 18:47:51 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: kdiff3-trinity
 Section: tde
 Priority: optional
-Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
+Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 XSBC-Original-Maintainer: Eike Sauer <eike@debian.org>
-Build-Depends: debhelper (>= 9~), cdbs, quilt, cmake, tdelibs14-trinity-dev, libkonq4-trinity-dev
+Build-Depends: cdbs, debhelper (>= 9~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev, libkonq4-trinity-dev
 Standards-Version: 3.8.4
 
 Package: kdiff3-trinity

## kdiff3-trinity 14.1.1

=== debian/changelog ===
kdiff3-trinity (4:14.1.1-0debian9.0.0+0) stretch; urgency=low

  * Automated git build for r14.1.1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.1#kdiff3

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 03 Sep 2023 15:31:46 +0200

=== debian/control ===
--- 
+++ 
@@ -9,8 +9,8 @@
 Package: kdiff3-trinity
 Architecture: any
 Depends: ${shlibs:Depends}
-Replaces: kdiff3-kde3 (<< 4:14.0.0~), kdiff3-trinity (<< 4:14.0.0~)
-Breaks: kdiff3-kde3 (<< 4:14.0.0~), kdiff3-trinity (<< 4:14.0.0~)
+Replaces: kdiff3-trinity (<< 4:14.0.0~)
+Breaks: kdiff3-trinity (<< 4:14.0.0~)
 Recommends: kdiff3-trinity-doc
 Description: compares and merges 2 or 3 files or directories [Trinity]
  KDiff3 compares two or three input files and shows the differences
@@ -22,8 +22,8 @@
 Package: kdiff3-trinity-doc
 Architecture: all
 Recommends: kdiff3-trinity
-Replaces: kdiff3-kde3-doc (<< 4:14.0.0~), kdiff3-trinity-doc (<< 4:14.0.0~)
-Breaks: kdiff3-kde3-doc (<< 4:14.0.0~), kdiff3-trinity-doc (<< 4:14.0.0~)
+Replaces: kdiff3-trinity-doc (<< 4:14.0.0~)
+Breaks: kdiff3-trinity-doc (<< 4:14.0.0~)
 Description: documentation for kdiff3 [Trinity]
  KDiff3 compares two or three input files and shows the differences
  line by line and character by character. This package contains the

## kdiff3-trinity 14.1.2

=== debian/changelog ===
kdiff3-trinity (4:14.1.2-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.1.2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.2#kdiff3

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 17 Mar 2024 07:41:38 +0100

## kdiff3-trinity 14.1.3

=== debian/changelog ===
kdiff3-trinity (4:14.1.3-0ubuntu23.04.0+0) lunar; urgency=low

  * Automated git build for r14.1.3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.3#kdiff3

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Jul 2024 14:49:42 +0200

## kdiff3-trinity 14.1.4

=== debian/changelog ===
kdiff3-trinity (4:14.1.4-0ubuntu25.04.0+0) plucky; urgency=low

  * Automated git build for r14.1.4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.4#kdiff3

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 14 Apr 2025 09:06:08 +0200

## kdiff3-trinity 14.1.5~pre8

=== debian/changelog ===
kdiff3-trinity (4:14.1.5~pre8-0ubuntu24.04.0+3) noble; urgency=low

  * Automated git build for 322e3e772ba929ba40b61c93341b08343a299285
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#kdiff3

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

=== debian/control ===
Source: kdiff3-trinity
Section: tde
Priority: optional
Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
XSBC-Original-Maintainer: Eike Sauer <eike@debian.org>
Build-Depends: tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev, libkonq4-trinity-dev
Standards-Version: 3.8.4

Package: kdiff3-trinity
Architecture: any
Depends: ${shlibs:Depends}
Replaces: kdiff3-kde3 (<< 4:14.0.0~), kdiff3-trinity (<< 4:14.0.0~)
Breaks: kdiff3-kde3 (<< 4:14.0.0~), kdiff3-trinity (<< 4:14.0.0~)
Recommends: kdiff3-trinity-doc
Description: compares and merges 2 or 3 files or directories [Trinity]
 KDiff3 compares two or three input files and shows the differences
 line by line and character by character. It provides an automatic
 merge facility and an integrated editor for comfortable solving of
 merge conflicts. KDiff3 allows recursive directory comparison and
 merging as well.

Package: kdiff3-trinity-doc
Architecture: all
Recommends: kdiff3-trinity
Replaces: kdiff3-kde3-doc (<< 4:14.0.0~), kdiff3-trinity-doc (<< 4:14.0.0~)
Breaks: kdiff3-kde3-doc (<< 4:14.0.0~), kdiff3-trinity-doc (<< 4:14.0.0~)
Description: documentation for kdiff3 [Trinity]
 KDiff3 compares two or three input files and shows the differences
 line by line and character by character. This package contains the 
 HTML documentation.

## kdiff3-trinity 14.1.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,13 +7,16 @@
 ############################################
 
 
-cmake_minimum_required( VERSION 2.8 )
+##### set project version ########################
+
+include( TDEVersion )
+cmake_minimum_required( VERSION ${TDE_CMAKE_MINIMUM_VERSION} )
+tde_set_project_version( )
 
 
 #### general package setup
 
 project( kdiff3 )
-set( VERSION R14.0.8 )
 
 
 #### include essential cmake modules
@@ -29,7 +32,6 @@
 
 #### include our cmake modules
 
-set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" )
 include( TDEMacros )
 
 
@@ -41,15 +43,15 @@
 
 ##### optional stuff
 
-option( WITH_ALL_OPTIONS "Enable all optional support" OFF                                          )
+option( WITH_ALL_OPTIONS    "Enable all optional support" OFF )
 option( WITH_GCC_VISIBILITY "Enable fvisibility and fvisibility-inlines-hidden" ${WITH_ALL_OPTIONS} )
 
 
 ##### user requested modules
 
-option( BUILD_ALL "Build all" ON                             )
-option( BUILD_DOC "Build documentation" ${BUILD_ALL}         )
-option( BUILD_TRANSLATIONS "Build translations" ${BUILD_ALL} )
+option( BUILD_ALL          "Build all" ON )
+option( BUILD_DOC          "Build documentation" ${BUILD_ALL} )
+option( BUILD_TRANSLATIONS "Build translations"  ${BUILD_ALL} )
 
 
 ##### configure checks
@@ -70,11 +72,12 @@
 
 add_subdirectory( src )
 add_subdirectory( kdiff3plugin )
-tde_conditional_add_subdirectory( BUILD_DOC man      )
-tde_conditional_add_subdirectory( BUILD_DOC doc      )
-tde_conditional_add_subdirectory( BUILD_DOC data/doc )
-tde_conditional_add_subdirectory( BUILD_TRANSLATIONS po              ) 
-tde_conditional_add_subdirectory( BUILD_TRANSLATIONS kdiff3plugin/po )
+
+
+##### other data ################################
+
+tde_conditional_add_project_docs( BUILD_DOC )
+tde_conditional_add_project_translations( BUILD_TRANSLATIONS )
 
 
 ##### write configure files

=== doc/html/CMakeLists.txt ===
file( GLOB _htmls RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.html )

file(
  GLOB _pngs
  RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}/../en/*.png
)

install(
    FILES ${_htmls} ${_pngs}
    DESTINATION ${SHARE_INSTALL_PREFIX}/doc/${PROJECT_NAME}/html
)

=== debian/changelog ===
kdiff3-trinity (4:14.1.5-1romkd3) bullseye; urgency=low

  * Applying kdiff3_UTF8ClipBoardPaste.patch
  * Applying pretyURLinPlugin.patch

 -- Roman Savochenko <roman@oscada.org>  Sat, 08 Nov 2025 20:00:00 +0200

kdiff3-trinity (4:14.1.5-0debian13.0.0+0) trixie; urgency=low

  * Automated git build for r14.1.5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#kdiff3

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## kdiff3-trinity 14.1.6~pre0

=== debian/changelog ===
kdiff3-trinity (4:14.1.6~pre0-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 322e3e772ba929ba40b61c93341b08343a299285
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#kdiff3

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## kdiff3-trinity 14.1.6~pre1

=== debian/changelog ===
kdiff3-trinity (4:14.1.6~pre1-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 59618e152112066180b63a36cc16253a126f7f10
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#kdiff3

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 12 Dec 2025 22:31:12 +0100

## kdiff3-trinity 14.1.6~pre2

=== debian/changelog ===
kdiff3-trinity (4:14.1.6~pre2-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 26e152186b4c25667b9c32fd41a1dd7a64ca3b8e
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#kdiff3

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 05:31:47 +0100

## kdiff3-trinity 14.1.6~pre4

=== debian/changelog ===
kdiff3-trinity (4:14.1.6~pre4-0debian14.0.0+0~b) sid; urgency=low

  * Automated git build for 4ab31970bcdaea2459ff9dd439b51f3945b57b28
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#kdiff3

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 20 Feb 2026 22:30:42 +0100

## kdiff3-trinity 14.1.6~pre5

=== debian/changelog ===
kdiff3-trinity (4:14.1.6~pre5-0ubuntu26.04.0+2~a) resolute; urgency=low

  * Automated git build for 6552b7d664bc0bdbfbd5d60beedc556c326ade19
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#kdiff3

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 02 Mar 2026 10:50:34 +0100

## kdiff3-trinity 14.2.0~pre59

=== debian/changelog ===
kdiff3-trinity (4:14.2.0~pre59-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for e9df76c14407948f84e947aca8010b71bb4baee5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#kdiff3

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Sep 2025 20:29:16 +0200

## kdiff3-trinity 14.2.0~pre61

=== debian/changelog ===
kdiff3-trinity (4:14.2.0~pre61-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for 9f3bc650f6246843b5701f79c8dea30c7febfb76
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#kdiff3

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 12 Dec 2025 00:51:39 +0100

## kdiff3-trinity 14.2.0~pre62

=== debian/changelog ===
kdiff3-trinity (4:14.2.0~pre62-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for 263fbe6fe0b6a229c81423534af076728f8d7210
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#kdiff3

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 04:52:27 +0100

## kdiff3-trinity 14.2.0~pre64

=== debian/changelog ===
kdiff3-trinity (4:14.2.0~pre64-0debian14.0.0+6~b) sid; urgency=low

  * Automated git build for 88dd90040cf3a797e51cb250d99caa19c9f20ff4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#kdiff3

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 20 Feb 2026 02:51:54 +0100

## kdiff3-trinity 14.2.0~pre65

=== debian/changelog ===
kdiff3-trinity (4:14.2.0~pre65-0ubuntu26.04.0+8~a) resolute; urgency=low

  * Automated git build for 2ae3f48eef11975b50c623780f6994f957428d3f
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#kdiff3

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 02 Mar 2026 10:22:43 +0100
